OpenNMS API 1.2.9

## org.opennms.web.event
Class EventQueryServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.opennms.web.event.EventQueryServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

public class EventQueryServlet
extends javax.servlet.http.HttpServlet

This servlet takes a large and specific request parameter set and maps it to the more robust "filter" parameter set of the `EventFilterServlet`via a redirect.

Author:
  Lawrence Karnowski , OpenNMS
See Also:
  Serialized Form

Field Summary
`protected static java.lang.String[]` `IGNORE_LIST` The list of parameters that are extracted by this servlet and not passed on to the `EventFilterServlet`.
`protected java.lang.String` `redirectUrl` The URL for the `EventFilterServlet`.

Fields inherited from class javax.servlet.http.HttpServlet
``

Fields inherited from class javax.servlet.GenericServlet
``

Constructor Summary
`EventQueryServlet()`

Method Summary
`void` `doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Extracts the key parameters from the parameter set, translates them into filter-based parameters, and then passes the modified parameter set to the `EventFilterServlet`.
`protected AfterDateFilter` `getAfterDateFilter(javax.servlet.http.HttpServletRequest request)`
`protected BeforeDateFilter` `getBeforeDateFilter(javax.servlet.http.HttpServletRequest request)`
`protected java.util.Date` `getDateFromRequest(javax.servlet.http.HttpServletRequest request, java.lang.String prefix)`
`protected java.lang.String[]` `getRequiredDateFields(java.lang.String prefix)`
`void` `init()`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### IGNORE_LIST

    protected static java.lang.String[] IGNORE_LIST

  The list of parameters that are extracted by this servlet and not passed on to the `EventFilterServlet`.

### redirectUrl

    protected java.lang.String redirectUrl

  The URL for the `EventFilterServlet`. The default is "list." This URL is a sibling URL, so it is relative to the URL directory that was used to call this servlet (usually "event/").

Constructor Detail

### EventQueryServlet

    public EventQueryServlet()

Method Detail

### init

    public void init()
              throws javax.servlet.ServletException

  Throws:
    `javax.servlet.ServletException`

### doGet

    public void doGet(javax.servlet.http.HttpServletRequest request,
                      javax.servlet.http.HttpServletResponse response)
               throws javax.servlet.ServletException,
                      java.io.IOException

  Extracts the key parameters from the parameter set, translates them into filter-based parameters, and then passes the modified parameter set to the `EventFilterServlet`.

  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### getBeforeDateFilter

    protected BeforeDateFilter getBeforeDateFilter(javax.servlet.http.HttpServletRequest request)

### getAfterDateFilter

    protected AfterDateFilter getAfterDateFilter(javax.servlet.http.HttpServletRequest request)

### getDateFromRequest

    protected java.util.Date getDateFromRequest(javax.servlet.http.HttpServletRequest request,
                                                java.lang.String prefix)
                                         throws MissingParameterException

  Throws:
    `MissingParameterException`

### getRequiredDateFields

    protected java.lang.String[] getRequiredDateFields(java.lang.String prefix)

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.